% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{Utility_Index_data}
\alias{Utility_Index_data}
\title{Utility Index weights of the KHQ5D}
\format{
This data frame has 30 rows and the following 5 columns:
\describe{
\item{UK}{UK KHQ5D weights. \href{https://pubmed.ncbi.nlm.nih.gov/17641139/}{PubMed}}
\item{Variables}{FullHealth - Best health, usually indicated as 1;
RL2 - Role Limitations: weight for score 2;
RL3 - Role Limitations: weight for score 3;
RL4 - Role Limitations: weight for score 4;
PL2 - Physical Limitations: weight for score 2;
PL3 - Physical Limitations: weight for score 3;
PL4 - Physical Limitations: weight for score 4;
SL2 - Social Limitations: weight for score 2;
SL3 - Social Limitations: weight for score 3;
SL4 - Social Limitations: weight for score 4;
E2 - Emotions: weight for score 2;
E3 - Emotions: weight for score 3;
E4 - Emotions: weight for score 4;
S2 - Sleep: weight for score 2;
S3 - Sleep: weight for score 3;
S4 - Sleep: weight for score 4;
Year - Year in which the weight of each item in the five dimensions of
the KHQ5D was generated;
Author - Author who published the weight of each item in the five
dimensions of the KHQ5D;
Type - Type of method used to generate the weight of each item from
the five dimensions of KHQ5D;
Source - Version of KHQ used to build the KHQ5D items and consequently
used to generate the weights of each item in the five dimensions;
Health state - Number of health states used to generate the weights of the KHQ5D.}
}
}
\source{
\url{https://pubmed.ncbi.nlm.nih.gov/17641139/}
}
\usage{
Utility_Index_data
}
\description{
This data set contains the weights to calculate the utility index of the KHQ5D.
}
\references{
Brazier J, Czoski-Murray C, Roberts J, Brown M, Symonds T, Kelleher C.
Estimation of a preference-based index from a condition-specific measure:
the King's Health Questionnaire. Med Decis Making. 2008 Jan-Feb;28(1):113-26.
doi:10.1177/0272989X07301820.
\href{https://pubmed.ncbi.nlm.nih.gov/17641139/}{PubMed}
}
\keyword{dataset}
